Bug 431534 - Review Request: gfeed - RSS feed reader
Summary: Review Request: gfeed - RSS feed reader
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 11:14 UTC by Krzysztof Kurzawski
Modified: 2008-02-07 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 09:26:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Krzysztof Kurzawski 2008-02-05 11:14:13 UTC
Spec URL: http://kurzawa.nonlogic.org/rpm/gfeed/gfeed.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/gfeed/gfeed-2.5.0-1.fc8.src.rpm
Description: gfeed is an RSS feed reader for Linux and Gtk+ 2.0. It is designed to be a 
simple yet highly customizable reader, not an aggregator, which means it is 
designed for easy integration into a desktop.

Comment 1 Huzaifa S. Sidhpurwala 2008-02-05 11:32:40 UTC
 URL:            http://sourceforge.net/projects/%{name} is better

Comment 3 Parag AN(पराग) 2008-02-05 12:41:08 UTC
Is icon working for you? I installed rpm and when tried to run gfeed I got
options help only.

will review this by tomorrow.

Comment 4 Krzysztof Kurzawski 2008-02-05 14:00:53 UTC
Yes icon is working. If you wrote example: "gfeed -f http://linux.pl/rss.php",
new windows will open and icon will show.

Thanks in advance for review.

Comment 5 Parag AN(पराग) 2008-02-06 05:54:25 UTC
SHOULD:
   1)Change "%{__install}" to "install" 
   2)Add doc/out/html/*.html and scripts. But to avoid unnecessary installations
of Makefiles in scripts directory, you can add following line to end of %install
section

rm -f scripts/Makefile*

and change %doc to
%doc AUTHORS CHANGELOG COPYING README doc/out/html/*.html scripts




Comment 6 Krzysztof Kurzawski 2008-02-06 09:48:07 UTC
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/gfeed/gfeed.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/gfeed/gfeed-2.5.0-3.fc8.src.rpm

P.S If you have time could you also review taskcoach (#430541)?

Comment 7 Parag AN(पराग) 2008-02-06 10:38:47 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=398563
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
5301287f336599ab77ccba4875993734  gfeed-2.5.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

Comment 8 Krzysztof Kurzawski 2008-02-06 10:46:13 UTC
New Package CVS Request
=======================
Package Name: gfeed
Short Description: RSS feed reader
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-02-06 17:34:37 UTC
cvs done.

Comment 10 Krzysztof Kurzawski 2008-02-07 09:26:07 UTC
Imported and built. Thanks again for review!


Note You need to log in before you can comment on or make changes to this bug.